/****************************************************************
**
** Implementation of ArrowPad class, translation tutorial 2
**
****************************************************************/

#include "arrowpad.h"

#include <tqpushbutton.h>

ArrowPad::ArrowPad( TQWidget *parent, const char *name )
    : TQGrid( 3, Qt::Horizontal, parent, name )
{
    setMargin( 10 );
    setSpacing( 10 );

    skip();
    (void) new TQPushButton( tqtr("&Up"), this );
    skip();
    (void) new TQPushButton( tqtr("&Left"), this );
    skip();
    (void) new TQPushButton( tqtr("&Right"), this );
    skip();
    (void) new TQPushButton( tqtr("&Down"), this );
    skip();
}

void ArrowPad::skip()
{
    (void) new TQWidget( this );
}
